Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## grails.web.container
[Java] Interface EmbeddableServerFactory

    public interface EmbeddableServerFactory

An interface for server vendors to implement in order to provide the ability to embed a container within Grails' run-app command.

Authors:
  Graeme Rocher

Since:
  1.1

Method Summary
`EmbeddableServer` | `createForWAR(java.lang.String warPath, java.lang.String contextPath)` Creates a EmbeddableServer instance for the given WAR file and context path.
`EmbeddableServer` | `createInline(java.lang.String basedir, java.lang.String webXml, java.lang.String contextPath, java.lang.ClassLoader classLoader)` Creates an inline server for the the given base directory, web.xml file and class loader.

Method Detail

### createForWAR

    public EmbeddableServer createForWAR(java.lang.String warPath, java.lang.String contextPath)

  Creates a EmbeddableServer instance for the given WAR file and context path.
  Parameters:
    `warPath` - The path to the WAR
    `contextPath` - The context path
  Returns:
    The EmbeddableServer instance

### createInline

    public EmbeddableServer createInline(java.lang.String basedir, java.lang.String webXml, java.lang.String contextPath, java.lang.ClassLoader classLoader)

  Creates an inline server for the the given base directory, web.xml file and class loader.
  Parameters:
    `basedir` - The base directory
    `webXml` - The web.xml location
    `classLoader` - The class loader to use
    `contextPath` - The context path of the application
  Returns:
    The EmbeddableServer instance

Groovy Documentation